Subject: Re: mmotm 2017-06-23-15-03 uploaded

From: Andrew Morton <[email-masked]>
Date: Tue, 27 Jun 2017 13:40:33 -0700

On Tue, 27 Jun 2017 09:38:09 +0200 Rasmus Villemoes <[email-masked]> wrote:

> >>
> >> However, the patch in mmotm seems to be missing this crucial hunk that
> >> Rasmus had in the patch he sent [1]:
> >>
> >> -__rmqueue_fallback(struct zone *zone, unsigned int order, int
> >> start_migratetype)
> >> +__rmqueue_fallback(struct zone *zone, int order, int start_migratetype)
> >>
> >> which makes this a signed vs signed comparison.
> >>
> >> What happened to it? Andrew?
> 
> This is really odd. Checking, I see that it was also absent from the
> 'this patch has been added to -mm' mail, but I admit I don't proofread
> those to see they match what I sent. Oh well. Let me know if I need to
> do anything.
> 

oops, that was me manually fixing rejects - I missed a bit.

--- a/mm/page_alloc.c~mm-page_allocc-eliminate-unsigned-confusion-in-__rmqueue_fallback-fix
+++ a/mm/page_alloc.c
@@ -2212,7 +2212,7 @@ static bool unreserve_highatomic_pageblo
  * condition simpler.
  */
 static inline bool
-__rmqueue_fallback(struct zone *zone, unsigned int order, int start_migratetype)
+__rmqueue_fallback(struct zone *zone, int order, int start_migratetype)
 {
 	struct free_area *area;
 	int current_order;
_